Apache Tomcat 6.0.51

## org.apache.catalina.tribes.group.interceptors
Class OrderInterceptor.MessageOrder

    java.lang.Object
      org.apache.catalina.tribes.group.interceptors.OrderInterceptor.MessageOrder

Enclosing class:
  OrderInterceptor

    protected static class OrderInterceptor.MessageOrder

extends java.lang.Object

Constructor Summary
`OrderInterceptor.MessageOrder(int msgNr, ChannelMessage msg)`

Method Summary
`static OrderInterceptor.MessageOrder` | `add(OrderInterceptor.MessageOrder head, OrderInterceptor.MessageOrder add)`
`int` | `getCount()`
`ChannelMessage` | `getMessage()`
`int` | `getMsgNr()`
`OrderInterceptor.MessageOrder` | `getNext()`
`boolean` | `isExpired(long expireTime)`
`void` | `setMessage(ChannelMessage msg)`
`void` | `setNext(OrderInterceptor.MessageOrder order)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderInterceptor.MessageOrder

    public OrderInterceptor.MessageOrder(int msgNr,
                                         ChannelMessage msg)

Method Detail

### isExpired

    public boolean isExpired(long expireTime)

### getMessage

    public ChannelMessage getMessage()

### setMessage

    public void setMessage(ChannelMessage msg)

### setNext

    public void setNext(OrderInterceptor.MessageOrder order)

### getNext

    public OrderInterceptor.MessageOrder getNext()

### getCount

    public int getCount()

### add

    public static OrderInterceptor.MessageOrder add(OrderInterceptor.MessageOrder head,
                                                    OrderInterceptor.MessageOrder add)

### getMsgNr

    public int getMsgNr()

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.